org.apache.ignite.ml.environment.parallelism

## Class DefaultParallelismStrategy

- java.lang.Object
- - org.apache.ignite.ml.environment.parallelism.DefaultParallelismStrategy

- All Implemented Interfaces:
    ParallelismStrategy

      public class DefaultParallelismStrategy
      extends Object
      implements ParallelismStrategy

  All task should be processed by default thread pool.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultParallelismStrategy.FutureWrapper<T>` Wrapper for future class.

    - ### Nested classes/interfaces inherited from interface org.apache.ignite.ml.environment.parallelism.ParallelismStrategy

      `ParallelismStrategy.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.ignite.ml.environment.parallelism.ParallelismStrategy

      `NO_PARALLELISM, ON_DEFAULT_POOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultParallelismStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getParallelism()` Returns default parallelism.
    `<T> Promise<T>` | `submit(IgniteSupplier<T> task)` Submit task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.environment.parallelism.ParallelismStrategy

      `submit`

- - ### Constructor Detail

    - #### DefaultParallelismStrategy

          public DefaultParallelismStrategy()

  - ### Method Detail

    - #### submit

          public <T> Promise<T> submit(IgniteSupplier<T> task)

      Submit task.
      Specified by:
        `submit` in interface `ParallelismStrategy`
      Parameters:
        `task` - Task.
      Returns:
        The result of submit operation.

    - #### getParallelism

          public int getParallelism()

      Returns default parallelism.
      Specified by:
        `getParallelism` in interface `ParallelismStrategy`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021